

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Full table of contents &mdash; CKAN 2.5.2 documentation</title>
  

  
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  

  

  
    <link rel="top" title="CKAN 2.5.2 documentation" href="index.html"/>
        <link rel="next" title="API guide" href="api/index.html"/> 

  
  <script src="_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="#" class="icon icon-home"> CKAN
          

          
          </a>

          
            
            
              <div class="version">
                2.5.2
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul>
<li class="toctree-l1"><a class="reference internal" href="api/index.html">API guide</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="#">CKAN</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          





<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="#">Docs</a> &raquo;</li>
      
    <li>Full table of contents</li>
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="_sources/contents.txt" rel="nofollow"> View page source</a>
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="full-table-of-contents">
<h1>Full table of contents<a class="headerlink" href="#full-table-of-contents" title="Permalink to this headline">¶</a></h1>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="api/index.html">API guide</a><ul>
<li class="toctree-l2"><a class="reference internal" href="api/index.html#making-an-api-request">Making an API request</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/index.html#example-importing-datasets-with-the-ckan-api">Example: Importing datasets with the CKAN API</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/index.html#api-versions">API versions</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/index.html#authentication-and-api-keys">Authentication and API keys</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/index.html#get-able-api-functions">GET-able API functions</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/index.html#jsonp-support">JSONP support</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/index.html#api-examples">API Examples</a><ul>
<li class="toctree-l3"><a class="reference internal" href="api/index.html#tags-not-in-a-vocabulary">Tags (not in a vocabulary)</a></li>
<li class="toctree-l3"><a class="reference internal" href="api/index.html#tag-vocabularies">Tag Vocabularies</a></li>
<li class="toctree-l3"><a class="reference internal" href="api/index.html#uploading-a-new-version-of-a-resource-file">Uploading a new version of a resource file</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="api/index.html#action-api-reference">Action API reference</a><ul>
<li class="toctree-l3"><a class="reference internal" href="api/index.html#module-ckanext.dataextractor.logic.action.get">ckanext.dataextractor.logic.action.get</a></li>
<li class="toctree-l3"><a class="reference internal" href="api/index.html#module-ckanext.dataextractor.logic.action.create">ckanext.dataextractor.logic.action.create</a></li>
<li class="toctree-l3"><a class="reference internal" href="api/index.html#module-ckanext.dataextractor.logic.action.update">ckanext.dataextractor.logic.action.update</a></li>
<li class="toctree-l3"><a class="reference internal" href="api/index.html#ckanext-dataextractor-logic-action-patch">ckanext.dataextractor.logic.action.patch</a></li>
<li class="toctree-l3"><a class="reference internal" href="api/index.html#module-ckanext.dataextractor.logic.action.delete">ckanext.dataextractor.logic.action.delete</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>


           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation"
         aria-label="footer navigation">
      
        <a href="api/index.html" class="btn btn-neutral float-right"
           title="API guide"/>
           Next <span class="icon icon-circle-arrow-right"></span></a>
      
      
    </div>
  

  <hr></hr>

  <p>An <a href="http://okfn.org">Open Knowledge Foundation</a> project.</p>

  <p class="copyright">
      &copy; 2009-2013, <a href="http://okfn.org/">Open Knowledge Foundation</a>.
    Licensed under <a
    href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons
    Attribution ShareAlike (Unported) v3.0 License</a>.<br />
    <img src="http://i.creativecommons.org/l/by-sa/3.0/80x15.png" alt="CC License Logo" />
    <a href="http://opendefinition.org/"><img src="http://assets.okfn.org/images/ok_buttons/oc_80x15_blue.png" border="0"
      alt="{{ _('Open Content') }}" /></a>
  
  </p>

  <p>
    <a href="https://github.com/ckan/ckan">Source</a>
    &mdash;
    <a href="https://github.com/ckan/ckan/issues">Issues</a>
    &mdash;
    <a href="http://lists.okfn.org/mailman/listinfo/ckan-dev">Mailing List</a>
    &mdash;
    <a href="http://twitter.com/CKANProject">Twitter @CKANProject</a>
  </p>

  <p>
    Related Projects:
    <a href="http://thedatahub.org/">The DataHub</a>
    &mdash;
    <a href="http://datacatalogs.org">DataCatalogs.org</a>
    &mdash;
    <a href="http://openspending.org">OpenSpending.org</a>
    &mdash;
    <a href="http://opendatahandbook.org">Open Data Handbook</a>
  </p>


  <a href="https://github.com/snide/sphinx_rtd_theme">Sphinx theme</a>  provided by <a href="https://readthedocs.org">Read the Docs</a>
</footer>
        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'./',
            VERSION:'2.5.2',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="_static/jquery.js"></script>
      <script type="text/javascript" src="_static/underscore.js"></script>
      <script type="text/javascript" src="_static/doctools.js"></script>

  

  
  
    <script type="text/javascript" src="_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
      });
  </script>
   

</body>
</html>